Index: /trunk/src/Block.cc
===================================================================
--- /trunk/src/Block.cc	(revision 1)
+++ /trunk/src/Block.cc	(revision 1)
@@ -0,0 +1,130 @@
+#include "Header.hh"
+#include "Block.hh"
+#include <iostream>
+#include <fstream>
+#include <string>
+#include <vector>
+
+using std::string;
+using namespace Header;
+ 
+namespace Block
+{
+
+//   DataBlock::DataBlock(string survey)
+  DataBlock::DataBlock(SURVEY surveyType)
+  {
+    headerString = string(" ",headerLength);
+    Header::SurveySchema *temp = new Header::SurveySchema(surveyType);
+//     Header::SurveySchema *temp = new Header::SurveySchema(survey);
+    this->survey = *temp;
+    this->data = new char[dataLength];
+//     this->surveyName = survey;
+    delete temp;
+  }
+  //--------------------------------------------------------------------------
+
+  DataBlock::~DataBlock()
+  {
+    delete [] data;
+  }
+  //--------------------------------------------------------------------------
+
+  bool DataBlock::readBlock(std::ifstream &file)
+  {
+    if(!this->readHeader(file)) return false;
+    this->readData(file);
+    return true;
+  }
+  //--------------------------------------------------------------------------
+
+  bool DataBlock::readHeader(std::ifstream &file)
+  {
+    char *hdr = new char[headerLength];
+    file.read( hdr, headerLength*sizeof(char) );
+    if(file.eof()) return false;
+    for(int c=0;c<headerLength;c++) this->headerString[c] = hdr[c];
+    return true;
+  }
+  //--------------------------------------------------------------------------
+
+  void DataBlock::readData(std::ifstream &file)
+  {
+    file.read( data, dataLength*sizeof(char) );
+  }
+  //--------------------------------------------------------------------------
+
+//   template <typename Type> 
+//   Type DataBlock::getKeyword(int field, int element)
+//   {
+//     Type output = 
+//       this->survey.readParameter<Type>(this->headerString,field,element);
+//     return output;
+//   }
+//   template int DataBlock::getKeyword<int>(int field, int element);
+//   template float DataBlock::getKeyword<float>(int field, int element);
+//   template string DataBlock::getKeyword<string>(int field, int element);
+  //--------------------------------------------------------------------------
+
+  template <class T> 
+  T DataBlock::getKeyword(int field, int element)
+  {
+    int dim = this->survey.getFieldDimension(field);
+    std::stringstream ss;
+    std::vector<T> output(dim);
+    for(int i=0;i<dim;i++){
+      int start = this->survey.getStartPosition(field)+i*dim;
+      int length = this->survey.getFieldLength(field);
+      ss.str(this->headerString.substr(pos,length));
+      ss >> output[i];      
+    }
+    return output[elementNumber];
+  }
+
+  template<> int DataBlock::getKeyword<int>(int field, int element){
+    return this->survey.readParameter<int>(this->headerString,field,element);
+  }
+  template<> float DataBlock::getKeyword<float>(int field, int element){
+    return this->survey.readParameter<float>(this->headerString,field,element);
+  }
+  template<> double DataBlock::getKeyword<double>(int field, int element){
+    return this->survey.readParameter<double>(this->headerString,field,element);
+  }
+  template<> string DataBlock::getKeyword<string>(int field, int element){
+   return this->survey.readParameter<string>(this->headerString,field,element);
+  }
+  //--------------------------------------------------------------------------
+  template <class T> 
+  std::vector<T> DataBlock::getFullKeyword(int field)
+  {
+    int dim = this->survey.getFieldDimension(field);
+    std::stringstream ss;
+    std::vector<T> output(dim);
+    for(int i=0;i<dim;i++){
+      int start = this->survey.getStartPosition(field)+i*dim;
+      int length = this->survey.getFieldLength(field);
+      ss.str(this->headerString.substr(pos,length));
+      ss >> output[i];      
+    }
+    return output;
+  }
+  template<> std::vector<int> DataBlock::getFullKeyword<int>(int field){
+    std::vector<int> output(this->survey.getFieldDimension(field));
+    for(int i=0;i<this->survey.getFieldDimension(field);i++)
+      output[i]=this->survey.readParameter<int>(this->headerString,field,i);
+    return output;
+  }
+  template<> std::vector<float> DataBlock::getFullKeyword<float>(int field){
+    std::vector<float> output(this->survey.getFieldDimension(field));
+    for(int i=0;i<this->survey.getFieldDimension(field);i++)
+      output[i]= this->survey.readParameter<float>(this->headerString,field,i);
+    return output;
+  }
+  template<> std::vector<string> DataBlock::getFullKeyword<string>(int field){
+    std::vector<string> output(this->survey.getFieldDimension(field));
+    for(int i=0;i<this->survey.getFieldDimension(field);i++)
+      output[i]=this->survey.readParameter<string>(this->headerString,field,i);
+    return output;
+  }
+
+}
Index: /trunk/src/Block.hh
===================================================================
--- /trunk/src/Block.hh	(revision 1)
+++ /trunk/src/Block.hh	(revision 1)
@@ -0,0 +1,40 @@
+#ifndef BLOCK_HH_
+#define BLOCK_HH_
+#include <iostream>
+#include <fstream>
+#include <string>
+#include <vector>
+#include "Header.hh"
+
+namespace Block
+{
+  const int headerLength = 640;
+  const int dataLength = 49152; // = 48*1024
+
+  class DataBlock
+  {
+  public:
+//     DataBlock(std::string surveyName);
+    DataBlock(Header::SURVEY surveyType);
+    virtual ~DataBlock();
+    bool readBlock(std::ifstream &file);
+    bool readHeader(std::ifstream &file);
+    void readData(std::ifstream &file);
+    char getDatum(int i){return data[i];};
+    char *getData(){return data;};
+    std::string getSurveyName(){return surveyName;};
+    template <typename T> T getKeyword(int field, int element=0);
+    template <typename T> std::vector<T> getFullKeyword(int field);
+    Header::SurveySchema& Survey(){
+      Header::SurveySchema& rsurv=survey; return rsurv;
+    };
+
+  private:
+    std::string headerString;
+    Header::SurveySchema survey;
+    char *data;
+    std::string surveyName;
+  };
+
+}
+#endif /*BLOCK_HH_*/
Index: /trunk/src/Header.cc
===================================================================
--- /trunk/src/Header.cc	(revision 1)
+++ /trunk/src/Header.cc	(revision 1)
@@ -0,0 +1,139 @@
+#include "Header.hh"
+#include <iostream>
+#include <sstream>
+#include <string>
+#include <vector>
+
+using std::string;
+namespace Header
+{
+
+  SurveySchema::SurveySchema(SURVEY surveyType)
+  {
+    if(surveyType == S70){
+      // This initialises the SurveyHeader arrays for the S70 setup.
+      int s70Start[numKeywords] = {0,8,12,16,20,
+				   28,36,44,60,
+				   72,74,90,106,114,
+				   602,602,122,130,138,
+				   202,204,220,228,
+				   252,276,284,292,602,300,
+				   304,320,332,348,364,372,380,388,
+				   396,602,428,492,500,508,
+				   516,598,520,524,536,540,
+				   556,560,568,576,578,584,586,
+				   588,602,602,602,602};
+      for(int i=0;i<numKeywords;i++) this->startPosition[i] = s70Start[i];
+      
+      int s70Length[numKeywords] = {8,4,4,4,8,
+				    8,8,16,12,
+				    2,16,16,8,8,
+				    0,0,8,8,64,
+				    2,8,4,12,
+				    12,4,8,8,0,4,
+				    16,12,16,16,8,8,8,8,
+				    8,0,8,8,8,8,
+				    4,4,4,12,4,16,
+				    2,8,4,2,6,2,2,
+				    10,0,0,0,38};
+      for(int i=0;i<numKeywords;i++) this->fieldLength[i] = s70Length[i];
+
+      int s70Dim[numKeywords] = {1,1,1,1,1,
+				 1,1,1,1,
+				 1,1,1,1,1,
+				 1,1,1,1,1,
+				 1,2,2,2,
+				 2,2,1,1,1,1,
+				 1,1,1,1,1,1,1,1,
+				 4,1,8,1,1,1,
+				 1,1,1,1,1,1,
+				 2,1,2,1,1,1,1,
+				 1,1,1,1,1};
+      for(int i=0;i<numKeywords;i++) this->fieldDimension[i] = s70Dim[i];
+    }
+    else if(surveyType == PM || surveyType == PH){
+      // This initialises the SurveyHeader arrays for the PM setup.
+      int pmStart[numKeywords] = {0,6,10,16,20,
+				  28,36,44,60,
+				  72,74,90,106,114,
+				  122,130,618,618,138,
+				  202,204,220,228,
+				  252,276,284,292,300,302,
+				  304,320,332,348,364,372,380,388,
+				  618,396,412,492,500,508,
+				  618,516,520,524,618,540,
+				  556,560,568,576,578,584,586,
+				  588,598,606,614,618};
+      for(int i=0;i<numKeywords;i++) this->startPosition[i] = pmStart[i];
+      
+      int pmLength[numKeywords] = {6,4,6,4,8,
+				   8,8,16,12,
+				   2,16,16,8,8,
+				   8,8,0,0,64,
+				   2,8,4,12,
+				   12,4,8,8,2,1,
+				   16,12,16,16,8,8,8,8,
+				   0,4,4,8,8,8,
+				   0,4,4,16,0,16,
+				   2,8,4,2,6,2,2,
+				   10,8,8,4,22};
+      for(int i=0;i<numKeywords;i++) this->fieldLength[i] = pmLength[i];
+
+      int pmDim[numKeywords] = {1,1,1,1,1,
+				1,1,1,1,
+				1,1,1,1,1,
+				1,1,1,1,1,
+				1,2,2,2,
+				2,2,1,1,1,2,
+				1,1,1,1,1,1,1,1,
+				1,4,20,1,1,1,
+				1,1,1,1,1,1,
+				2,1,2,1,1,1,1,
+				1,1,1,1,1};
+      for(int i=0;i<numKeywords;i++) this->fieldDimension[i] = pmDim[i];
+    }
+//     else throw xBadSurvey(surveyType);
+  }
+  //--------------------------------------------------------------------------
+
+  template <class T> 
+  T SurveySchema::readParameter(string headerString, int field,
+				int elementNumber)
+  {
+    int dim = this->fieldDimension[field];
+    int length = this->fieldLength[field];
+    int pos = this->startPosition[field];
+    std::stringstream ss;
+    std::vector<T> output(dim);
+    for(int i=0;i<dim;i++){
+      ss.str( headerString.substr(pos+elementNumber*length, length) );
+      ss >> output[i];    
+    }
+    return output[elementNumber];
+  }
+  template <> string 
+  SurveySchema::readParameter<string>(string headerString, 
+				      int field, int elementNumber)
+  {
+    int dim = this->fieldDimension[field];
+    int length = this->fieldLength[field];
+    int pos = this->startPosition[field];
+    return headerString.substr(pos+elementNumber*length, length);
+  }
+  template int SurveySchema::readParameter<int>(string headerString, 
+						int field,
+						int elementNumber);
+  template float SurveySchema::readParameter<float>(string headerString, 
+						    int field,
+						    int elementNumber);
+  template double SurveySchema::readParameter<double>(string headerString, 
+						      int field,
+						      int elementNumber);
+  template string SurveySchema::readParameter<string>(string headerString, 
+						    int field,
+						    int elementNumber);
+  //--------------------------------------------------------------------------
+
+
+
+}
Index: /trunk/src/Header.hh
===================================================================
--- /trunk/src/Header.hh	(revision 1)
+++ /trunk/src/Header.hh	(revision 1)
@@ -0,0 +1,82 @@
+#ifndef HEADER_HH_
+#define HEADER_HH_
+#include <string>
+#include <iostream>
+#include <fstream>  
+namespace Header
+{
+  enum SURVEY { S70, PM, PH };
+  inline SURVEY idSurvey(std::string file)
+  {
+    std::ifstream fin;
+    fin.open(file.c_str(), std::ios::binary);
+    char *hdr = new char[5];
+    fin.read( hdr, 5*sizeof(char) );
+    fin.close();
+    hdr[4] = '\0';
+    unsigned char compstring_s70[5] = {182, 'm', 'm', 219, 0};
+    unsigned char compstring_pm[4] = {'P', 'M', 'D'};
+    compstring_pm[3] = '\0';
+    if(strcmp((const char*)compstring_s70,hdr)==0) return S70;
+    if(strncmp((const char*)compstring_pm,hdr,3)==0) return PM;
+  }
+
+  enum ISMOVING { GRID=0, POINT, MOVING };
+
+  enum FIELDS 
+    {CODE=0, VERSION, TAPENR, SCAN_CNTR, BLK_CNTR, 
+     DATE, MJD, UT_STRT, LST_STRT, 
+     COORD_TYPE, RA_STRT, DEC_STRT, GL_STRT, GB_STRT, 
+     FEED_ANGLE, OBS_TIME, SCAN_RATE, SCAN_LEN, COMMENT, 
+     NFILTER, CHANBW, NCHAN, FREQ_CHAN1, 
+     SAMP_INT, SAMP_GRP, GRP_BLK, BLK_SEC, FDCNTRL, DATA_TYPE,
+     UT, LST, RA, DEC, GL, GB, TEL_ZEN, TEL_AZ, 
+     STATUS, ATTEN, TPOWER, NBLK_READ, SCAN_RATEL, SCAN_RATEB, 
+     BYTE_GRP, NBEAM, IBEAM, PSRNAME, DATA_TWO, OBS_FILEN, 
+     NBITS, DDM, NDDCH, MOVE, PNTERR, TREE, NSYS, 
+     TELID, PANGLE, SMP_BSW, CAL_CYCLE, RESERVE
+    };
+
+  const int numKeywords = RESERVE + 1;
+
+
+  class SurveySchema
+  {
+  public:
+    SurveySchema(){};
+    SurveySchema(SURVEY surveyType);
+    SurveySchema(const SurveySchema& s){
+    for(int i=0;i<numKeywords;i++) startPosition[i]  = s.startPosition[i];
+    for(int i=0;i<numKeywords;i++) fieldLength[i]    = s.fieldLength[i];
+    for(int i=0;i<numKeywords;i++) fieldDimension[i] = s.fieldDimension[i];
+    };
+    SurveySchema& operator= (const SurveySchema& s){
+    for(int i=0;i<numKeywords;i++) startPosition[i]  = s.startPosition[i];
+    for(int i=0;i<numKeywords;i++) fieldLength[i]    = s.fieldLength[i];
+    for(int i=0;i<numKeywords;i++) fieldDimension[i] = s.fieldDimension[i];
+    };
+    virtual ~SurveySchema(){};
+    int getStartPosition(int field){return startPosition[field];};
+    int getFieldLength(int field){return fieldLength[field];};
+    int getFieldDimension(int field){return fieldDimension[field];};
+    template <class T> T readParameter(std::string headerString, int field,
+				       int elementNumber = 0);
+    class xBadSurvey{
+    public:
+      xBadSurvey(std::string s){surveyName=s;};
+      virtual ~xBadSurvey(){};
+      std::string getSurvey(){return surveyName;};
+    private:
+      std::string surveyName;
+    };
+ 
+  private:
+    int startPosition[numKeywords];
+    int fieldLength[numKeywords];
+    int fieldDimension[numKeywords];
+  };
+
+}
+
+
+#endif /*HEADER_HH_*/
Index: /trunk/src/Makefile
===================================================================
--- /trunk/src/Makefile	(revision 486)
+++ /trunk/src/Makefile	(revision 1)
@@ -1,59 +1,24 @@
-#BASE = ./src
 BASE = .
-
-DEBUG=
-
 TEST = $(BASE)/tests
 
-INSTALLDIR = /u/whi550/bin
+HEADER = $(BASE)/Header.o
 
-HEADER = $(BASE)/pvo-header.o
+BLOCK = $(BASE)/Block.o
 
-BLOCK = $(BASE)/pvo-block.o
+PSRFITS = $(BASE)/PSRFits.o
 
-PSRFITS = $(BASE)/pvo-FITS.o\
-	$(BASE)/pvo-FITS-fileIO.o
+UTILS = $(BASE)/Utils.o
 
-UTILS = $(BASE)/pvo-utils.o
-
-METADATA = $(BASE)/pvo-metadata.o
-
-ifeq ($(HOST), bilby)
- CFITSIODIR = /Users/whi550/lib
-# CFITSIOINC = -I/Users/whi550/include/cfitsio
- CFITSIOINC =#-I/Users/whi550/include
-# CFITSIOLIB = -L$(CFITSIODIR) -lcfitsio
- CFITSIOLIB = -lcfitsio
-else
- ifeq ($(DEBUG),-g)
-  CFITSIODIR = /DATA/SITAR_1/whi550/Packages/cfitsio-myHack-debug
- else
-  CFITSIODIR = /DATA/SITAR_1/whi550/Packages/cfitsio
- endif
- CFITSIOINC = -I$(CFITSIODIR)
- CFITSIOLIB = -L$(CFITSIODIR) -lcfitsio
-endif
+# CFITSIODIR = /DATA/SITAR_1/whi550/Packages/cfitsio
+CFITSIODIR = /DATA/SITAR_1/whi550/Packages/cfitsio-myHack
+# CFITSIODIR = /DATA/SITAR_1/whi550/Packages/cfitsio-myHack-debug
+CFITSIOINC = -I$(CFITSIODIR)
+CFITSIOLIB = -L$(CFITSIODIR) -lcfitsio
 
 LIBS = $(CFITSIOLIB) -lm
 CINC=  $(CFITSIOINC)
 
-USE_PVO_HH = $(BASE)/pvoconesearch.o\
-	$(BASE)/pvotapesummary.o\
-	$(BASE)/pvoconvert.o\
-	$(BASE)/pvo-FITS.o\
-	$(BASE)/pvo-metadata.o\
-	$(BASE)/pvosummary.o
-
-USE_METADATA_HH = $(BASE)/pvo-metadata.o\
-	$(BASE)/pvosummary.o\
-	$(BASE)/pvoconesearch.o
-
-USE_HEADER_HH =  $(BASE)/pvoconvert.o\
-	$(BASE)/pvosummary.o\
-	$(BASE)/pvoconesearch.o\
-	$(BASE)/pvo-header.o\
-	$(BASE)/pvo-block.o\
-	$(BASE)/pvo-FITS.o\
-	$(BASE)/pvo-FITS-fileIO.o\
+USE_HEADER_HH =  $(BASE)/Header.o\
+	$(BASE)/Block.o\
 	$(TEST)/headertest.o\
 	$(TEST)/blocktest.o\
@@ -62,10 +27,5 @@
 	$(TEST)/testDataAccess.o
 
-USE_BLOCK_HH =  $(BASE)/pvoconvert.o\
-	$(BASE)/pvosummary.o\
-	$(BASE)/pvoconesearch.o\
-	$(BASE)/pvo-block.o\
-	$(BASE)/pvo-FITS.o\
-	$(BASE)/pvo-FITS-fileIO.o\
+USE_BLOCK_HH =  $(BASE)/Block.o\
 	$(TEST)/psrfitstest.o\
 	$(TEST)/blocktest.o\
@@ -73,13 +33,5 @@
 	$(TEST)/testDataAccess.o 
 
-USE_UTILS_HH =  $(BASE)/pvoconvert.o\
-	$(BASE)/pvosummary.o\
-	$(BASE)/pvoconesearch.o\
-	$(BASE)/print_s70_data.o\
-	$(BASE)/pvo-utils.o\
-	$(BASE)/pvo-block.o\
-	$(BASE)/pvo-FITS.o\
-	$(BASE)/pvo-FITS-fileIO.o\
-	$(TEST)/blocktest.o\
+USE_UTILS_HH =  $(TEST)/blocktest.o\
 	$(TEST)/psrfitstest.o\
 	$(TEST)/testallheaders.o\
@@ -89,45 +41,9 @@
 	$(TEST)/testFitsBinTable.o
 
-USE_PSRFITS_HH = $(BASE)/pvoconvert.o\
-	$(BASE)/pvosummary.o\
-	$(BASE)/pvoconesearch.o\
-	$(BASE)/pvo-FITS.o\
-	$(BASE)/pvo-FITS-fileIO.o\
-	$(TEST)/psrfitstest.o\
+USE_PSRFITS_HH = $(TEST)/psrfitstest.o\
 	$(TEST)/blocktest.o\
 	$(TEST)/testallheaders.o\
 	$(TEST)/testDataAccess.o\
 	$(TEST)/testFitsCreation.o
-
-all : pvoconvert pvosummary pvoconesearch pvotapesummary pvofixfilename
-
-pvoconvert : $(BASE)/pvoconvert.o $(HEADER) $(BLOCK) $(PSRFITS) $(UTILS)
-	$(CXX) -o pvoconvert.x $(BASE)/pvoconvert.o $(HEADER) $(BLOCK) $(PSRFITS) $(UTILS) $(LIBS)
-
-install : pvoconvert pvosummary
-	cp pvoconvert.x $(INSTALLDIR)/pvoconvert
-	cp pvosummary.x $(INSTALLDIR)/pvosummary
-	cp pvoconesearch.x $(INSTALLDIR)/pvoconesearch
-
-pvosummary : $(BASE)/pvosummary.o $(HEADER) $(BLOCK) $(PSRFITS) $(UTILS) $(METADATA)
-	$(CXX) -o pvosummary.x $(BASE)/pvosummary.o $(HEADER) $(BLOCK) $(PSRFITS) $(UTILS) $(METADATA) $(LIBS)
-
-pvoconesearch : $(BASE)/pvoconesearch.o $(HEADER) $(BLOCK) $(PSRFITS) $(UTILS) $(METADATA)
-	$(CXX) -o pvoconesearch.x $(BASE)/pvoconesearch.o $(HEADER) $(BLOCK) $(PSRFITS) $(UTILS) $(METADATA) $(LIBS)
-
-pvosummary2 : $(BASE)/pvosummary-glob.o $(HEADER) $(BLOCK) $(PSRFITS) $(UTILS)
-	$(CXX) -o pvosummary2.x $(BASE)/pvosummary-glob.o $(HEADER) $(BLOCK) $(PSRFITS) $(UTILS) $(LIBS)
-
-pvotapesummary : $(BASE)/pvotapesummary.o $(HEADER) $(BLOCK) $(UTILS)
-	$(CXX) -o pvotapesummary.x $(BASE)/pvotapesummary.o $(HEADER) $(BLOCK)  $(UTILS) $(LIBS)
-
-pvofixfilename : $(BASE)/pvofixfilename.o $(HEADER) $(BLOCK) $(PSRFITS) $(UTILS)
-	$(CXX) -o pvofixfilename.x $(BASE)/pvofixfilename.o $(HEADER) $(BLOCK) $(PSRFITS) $(UTILS) $(LIBS)
-
-testNewPSRF : $(TEST)/testNewPsrfits.o $(HEADER) $(BLOCK) $(PSRFITS) $(UTILS)
-	$(CXX) -o testNewPSRF.x $(TEST)/testNewPsrfits.o $(HEADER) $(BLOCK) $(PSRFITS) $(UTILS) $(LIBS)
-
-testMove : $(TEST)/testMoving.o $(HEADER) $(BLOCK) $(PSRFITS) $(UTILS)
-	$(CXX) -o testMove.x $(TEST)/testMoving.o $(HEADER) $(BLOCK) $(PSRFITS) $(UTILS) $(LIBS)
 
 testhead : $(TEST)/headertest.o $(HEADER)
@@ -149,47 +65,27 @@
 	$(CXX) -o testdata.x $(TEST)/testDataAccess.o $(HEADER) $(BLOCK)
 
-testfits1 : $(TEST)/testFitsCreation.o $(BASE)/pvo-utils.o
-	$(CXX) -o testfits1.x $(TEST)/testFitsCreation.o $(BASE)/pvo-utils.o $(LIBS)
+testfits1 : $(TEST)/testFitsCreation.o
+	$(CXX) -o testfits1.x $(TEST)/testFitsCreation.o $(LIBS)
 
 testfits2 : $(TEST)/testFitsKeywords.o
 	$(CXX) -o testfits2.x $(TEST)/testFitsKeywords.o $(LIBS)
 
-testfits3 : $(TEST)/testFitsBinTable.o $(UTILS)
-	$(CXX) -o testfits3.x $(TEST)/testFitsBinTable.o $(UTILS) $(LIBS)
+testfits3 : $(TEST)/testFitsBinTable.o
+	$(CXX) -o testfits3.x $(TEST)/testFitsBinTable.o $(LIBS)
 
 testfits4 : $(TEST)/testFitsBinTableSml.o
 	$(CXX) -o testfits4.x $(TEST)/testFitsBinTableSml.o $(LIBS)
 
-testTime : $(TEST)/testTimeFormats.o $(HEADER) $(BLOCK) $(PSRFITS) $(UTILS)
-	$(CXX) -o testTime.x $(TEST)/testTimeFormats.o $(HEADER) $(BLOCK) $(PSRFITS) $(UTILS) $(LIBS)
+s70 : $(TEST)/test_s70_data_read.cc
+	$(CXX) -o s70.x $(TEST)/test_s70_data_read.cc
 
-s70 : $(BASE)/print_s70_data.cc $(UTILS)
-	$(CXX) -o s70.x $(BASE)/print_s70_data.cc $(UTILS)
-
-pm : $(BASE)/print_pm_data.cc
-	$(CXX) -o pm.x $(BASE)/print_pm_data.cc
-
-makeFake : $(TEST)/makeFakeData.o $(HEADER) $(BLOCK) $(PSRFITS) $(UTILS)
-	$(CXX) -o makeFake.x $(TEST)/makeFakeData.o $(HEADER) $(BLOCK) $(PSRFITS) $(UTILS) $(LIBS)
-
-testAngSep : $(TEST)/testAngSepFunctions.cc
-	$(CXX) -c $(TEST)/testAngSepFunctions.cc -o $(TEST)/testAngSepFunctions.o -I/usr/local/pgplot -I$(DUCHAMP_CODE)/src -I $(BASE)
-	$(CXX) -o testAngSep.x $(TEST)/testAngSepFunctions.o $(BASE)/pvo-utils.o -lcpgplot -lpgplot -L/u/whi550/CubeFinder -lpng -L/usr/X11R6/lib -lX11 -lg2c
-
-testBitToggle: $(TEST)/testBitToggle.cc $(UTILS)
-	$(CXX) -o testBitToggle.x $(TEST)/testBitToggle.cc $(UTILS) 
-
-$(USE_PVO_HH) : $(BASE)/pvo.hh
-$(USE_UTILS_HH) : $(BASE)/pvo-utils.hh
-$(USE_HEADER_HH) : $(BASE)/pvo-header.hh
-$(USE_BLOCK_HH) : $(BASE)/pvo-block.hh
-$(USE_PSRFITS_HH) : $(BASE)/pvo-FITS.hh
-$(USE_METADATA_HH) : $(BASE)/pvo-metadata.hh
+pm : $(TEST)/test_pttape_read.cc
+	$(CXX) -o pm.x $(TEST)/test_pttape_read.cc
 
 .cc.o:
-	$(CXX) $(DEBUG) -c $< $(CINC) -o $@
+	$(CXX) -c $< $(CINC) -o $@
 
 .c.o:
-	$(CC) $(DEBUG) -c $< $(CINC) -o $@
+	$(CC) -c $< $(CINC) -o $@
 
 .tex:
@@ -197,2 +93,8 @@
 clean : 
 	rm -f $(BASE)/*.o $(TEST)/*.o 
+
+USE_UTILS_HH : $(BASE)/Utils.hh
+USE_HEADER_HH : $(BASE)/Header.hh
+USE_BLOCK_HH : $(BASE)/Block.hh
+USE_PSRFITS_HH : $(BASE)/PSRFits.hh
+
